Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.impl
Class ConfigurationModuleBootstrap

    java.lang.Object
      be.ehealth.technicalconnector.config.impl.ConfigurationModuleBootstrap

All Implemented Interfaces:
  ConfigurationModule

    public class ConfigurationModuleBootstrap

extends Object
implements ConfigurationModule

Nested Class Summary
`static interface` | `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Field Summary
`static String` | `DEFAULT_MODULEBOOTSTRAP_LOCATION`
`static String` | `PROP_MODULE_BOOTSTRAP`

Constructor Summary
`ConfigurationModuleBootstrap()`

Method Summary
`void` | `init(Configuration config)` Method that initialise the configuration module.
`static void` | `register(ConfigurationModuleBootstrap.ModuleBootstrapHook hook)`
`void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MODULEBOOTSTRAP_LOCATION

    public static final String DEFAULT_MODULEBOOTSTRAP_LOCATION

See Also:
  Constant Field Values

### PROP_MODULE_BOOTSTRAP

    public static final String PROP_MODULE_BOOTSTRAP

See Also:
  Constant Field Values

Constructor Detail

### ConfigurationModuleBootstrap

    public ConfigurationModuleBootstrap()

Method Detail

### register

    public static void register(ConfigurationModuleBootstrap.ModuleBootstrapHook hook)

### init

    public void init(Configuration config)
              throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that initialise the configuration module.

  Specified by:
    `init` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

### unload

    public void unload()
                throws TechnicalConnectorException

  Description copied from interface: `ConfigurationModule`
  Method that restores the configuration module and reset the system to the initial situation.

  Specified by:
    `unload` in interface `ConfigurationModule`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.